Bug 254057 - Review Request: e16-docs - Dcumentation for Enlightenment, DR16
Review Request: e16-docs - Dcumentation for Enlightenment, DR16
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On: 254056
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-23 16:36 EDT by Terje Røsten
Modified: 2008-05-01 16:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-01 16:45:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2007-08-23 16:36:32 EDT
Spec URL: http://terjeros.fedorapeople.org/e16/e16-docs.spec
SRPM URL: http://terjeros.fedorapeople.org/e16/e16-docs-0.16.8-0.1.0.02.fc8.src.rpm
Description:
This package contains documentation for Enlightenment, DR16.
Comment 1 Terje Røsten 2008-03-27 15:02:03 EDT
#254056 is now resolved and we can continue, updated package (see #254056 for
license):

spec: http://terjeros.fedorapeople.org/e16/e16-docs.spec
srpm: http://terjeros.fedorapeople.org/e16/e16-docs-0.16.8.0.1-1.fc8.src.rpm
Comment 2 Kevin Fenzi 2008-04-28 21:42:34 EDT
I would be happy to review this. Look for a full review here in a few. 
Comment 3 Kevin Fenzi 2008-04-28 21:57:27 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (MIT with advertising)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
See below - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. As with all the e16 packages, you might ping upstream to relicence
to a more friendly license. Has there been any response so far?

2. rpmlint says:

e16-docs.noarch: W: invalid-license MIT with advertising
e16-docs.src: W: invalid-license MIT with advertising

3. Is the only reason this package Requires e16 for the /usr/share/e16 directory?
If so, perhaps move it to a /usr/share/e16-docs/ dir and remove the Requires?

4. This package ships with 2 fonts, can you just Require
a needed font package for those? Or are those specific fonts needed?
/usr/share/e16/E-docs/Vera.ttf
/usr/share/e16/E-docs/VeraBd.ttf
Comment 4 Terje Røsten 2008-04-29 13:33:45 EDT
> 1. As with all the e16 packages, you might ping upstream to relicence
> to a more friendly license. Has there been any response so far?

I talked to Kim, which maintains e16 now, was not directly against it, however
there a lot of contributions to the now very old source code. Reaching
consensus with everyone seems a bit off for such a old project.

However it would make sense to change the license in - yet to be released -
e17. It seems already to be changed to something like pure MIT:

 
 https://www.redhat.com/archives/fedora-legal-list/2008-April/msg00020.html
 https://bugzilla.redhat.com/show_bug.cgi?id=441965

 http://enlightenment.org/viewvc/e17/apps/e/COPYING?revision=1.3
 http://enlightenment.org/viewvc/e17/apps/e/COPYING-PLAIN?revision=1.1

 
> 2. rpmlint says:
> 
> e16-docs.noarch: W: invalid-license MIT with advertising
> e16-docs.src: W: invalid-license MIT with advertising

It's should be fine, ref. e16 and e16-themes was ok with this.
 
> 3. Is the only reason this package Requires e16 for the /usr/share/e16 directory?
> If so, perhaps move it to a /usr/share/e16-docs/ dir and remove the Requires?

The real reason is that docs don't make much sense without e16 and that
document viewer for e16 help files is in e16.

> 4. This package ships with 2 fonts, can you just Require
> a needed font package for those? Or are those specific fonts needed?
> /usr/share/e16/E-docs/Vera.ttf
> /usr/share/e16/E-docs/VeraBd.ttf

They are available in bitstream-vera-fonts, will fix this.


Comment 5 Terje Røsten 2008-04-29 13:55:01 EDT
New updated package:
- fonts already in bitstream-vera-fonts, symlink
- fix typo in summary

spec: http://terjeros.fedorapeople.org/e16/e16-docs.spec
srpm: http://terjeros.fedorapeople.org/e16/e16-docs-0.16.8.0.1-2.fc8.src.rpm
Comment 6 Kevin Fenzi 2008-04-30 18:36:12 EDT
Sorry for the delay. All blockers seem fixed to me, so this package is APPROVED. 
Comment 7 Terje Røsten 2008-04-30 20:57:06 EDT
> Sorry for the delay. 

No problemo :-)

>All blockers seem fixed to me, so this package is APPROVED. 

Thanks!


New Package CVS Request
=======================
Package Name: e16-docs
Short Description: Documentation for Enlightenment, DR16
Owners: terjeros
Branches: F-7 F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-05-01 11:29:22 EDT
cvs done.
Comment 9 Terje Røsten 2008-05-01 16:45:56 EDT
built and bodhi pushed.

Thanks for kind help!

Note You need to log in before you can comment on or make changes to this bug.